Known issues with Creative Cloud packages on macOS 10.15 Catalina

Issue with CC 2018 and prior apps

Apple OS 10.15 Catalina supports 64-bit apps only. Since CC 2018 or prior apps contain 32-bit components, these apps will fail to launch on machines running macOS 10.15 Catalina.

For more details, see Why don't my Adobe apps work in macOS 10.15 Catalina?

For example; if you create a package containing CC 2018 and CC 2019 apps, the package will deploy successfully. The CC 2019 apps will also launch successfully, however, when end users launch a CC 2018 app it will fail with the following error message:

Catalina error on CC 2018 and prior apps
Error occurs when CCP package is installed on Catalina

Issue extracting packages

Due to changes introduced in macOS 10.15 Catalina, Admin Console installer package zip files created prior to September 16, 2019 will fail to decompress properly on machines running macOS 10.15.

Resolution

If you are installing packages on a 10.15 client machine, then we advise that you should take one of the following steps:

  • In the Adobe Admin console, leverage your existing package to create an update package.
  • Create a brand new package.
  • Extract the existing package on a version of macOS prior to 10.15 and then deploy it to the machine running 10.15.
Notă:

If you are using JAMF Casper or MUNKI,  then the package you have uploaded to your repository will continue to install successfully on 10.15 and prior versions of macOS, because it has already been extracted.

Sigla Adobe

Conectați-vă la cont